Unit tde09r_p;
interface
uses
SysUtils, Math, { Delphi }
Lstruct, Lfunc, UtRes_p, FDE09R_p, DE09R_p;

function tde09r: String;

implementation

function tde09r: String;
var
M,IERR :Integer;
XN,XK,HMIN,EPS,P,H,Y1,Y2 :Real;
Y :Array [0..1] of Real;
YN :Array [0..1] of Real;
R1 :Array [0..9] of Real;
R2 :Array [0..1] of Real;
R3 :Array [0..1] of Real;
begin
Result := '';  {   }
M := 2;
XN := 0.0;
YN[0] := 1.0;
YN[1] := 1.0;
XK := 1.0;
HMIN := 1.E-12;
EPS := 1.E-10;
P := 100.0;
H := 0.01;
DE09R (FDE09R,M,XN,YN,XK,HMIN,EPS,P,H,Y,R1,R2,R3,IERR);
Y1 := Cos(2.0) - 3.0*Sin(2.0);
Y2 := Cos(2.0) + Sin(2.0);
Result := Result + Format('          %20.16f           %20.16f ',
 [Y[0],Y[1]]) + #$0D#$0A;
Result := Result + Format('          %20.16f           %20.16f ',
 [Y1,Y2]) + #$0D#$0A;
UtRes('tde09r',Result);  {     tde09r.res }
exit;
end;

end.
